Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga.functions
Interface FitnessFunction

    public interface FitnessFunction

Calculates the fitness of an `Organism` in a `Population` of `Organisms`

Since:
  1.5
Version:
  1.1
Author:
  Mark Schreiber, Susanne Merz, Andreas Dräger

Method Summary
`double[]` | `fitness(Organism org, Population pop, GeneticAlgorithm genAlg)` Calculates the fitness of `org`.

Method Detail

### fitness

    double[] fitness(Organism org,
                     Population pop,
                     GeneticAlgorithm genAlg)

  Calculates the fitness of `org`. This can be done independently of the Population pop (by ignoring the argument in your implementation) or dependent on the other members of the `Population pop`. Every implementation of this function should assign the fitness value computed in this function to the given organism. This is important so that the organism knows its current fitness. Note that for simple problems this fitness array will contain only one single value. However, to enable multi-objective fitness functions this has to be an array.

  Parameters:
    `org` - The `Organism` to score
    `pop` - The `Population` to consider
    `genAlg` - the parent`GeneticAlgorithm`
  Returns:
    the fitness score.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD